/* hero */
.hero-area {
  background-color: #ccc;
}

#root .hero-area {
  background-color: unset;
}

.hero-area-wrapper {
  position: relative;
}



.hero-area>div {
  position: relative;
  overflow: hidden;
  padding: 16px;
  background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 10%, rgba(28, 25, 23, 0.60) 100%);
  color: #fff;
  display: flex;
  justify-content: center;
}

.hero-column-inner {
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  max-width: 550px;
  font-size: 12px;
  align-items: end;
  flex-direction: row-reverse;
}

.hero-description {
  flex: 1;
}

.hero-eately-heading {
  display: flex;
  flex-direction: column;
  gap: 8px;
  writing-mode: vertical-rl;
  text-orientation: upright;
  background-color: var(--main-text-color);
  color: var(--light-text-color);
  letter-spacing: 10%;
  font-size: 12px;

  h2 {
    font-size: 24px;
    font-weight: 800;
  }
}

.hero-area>div.satsukionsen {
  .hero-eately-heading {
    background-color: var(--main-color);
  }

  .hero-column-inner {
    flex-direction: row;
  }
}

@media(min-width : 576px) {
  .hero-column-inner {
    flex-direction: column;
    justify-content: end;
  }

  .hero-area>div.satsukionsen {
    .hero-column-inner {
      flex-direction: column;
      align-items: start;
    }
  }
}

@media(min-width : 768px) {
  .hero-area>div {
    padding: 32px;
    background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 50%, rgba(28, 25, 23, 0.60) 100%);
  }

  .hero-eately-heading {

    h2 {
      font-size: 40px;
      letter-spacing: 30%;
    }
  }

  .hero-area>div.satsukionsen {
    justify-content: end;

    .hero-column-inner {
      align-items: start;
      justify-content: start;
    }
  }

  .hero-description {
    flex: unset;
  }
}

@media(min-width : 1200px) {
  .hero-area {
    min-height: 780px;
  }

  .hero-column-inner {
    font-size: 20px;
  }
}


/* 公開ページのみ反映 */

#root {
  .hero-img-switcher {
    position: absolute;
    inset: 0;
    z-index: -1;
    background-color: var(--main-text-color);
  }

  .hero-img-switcher img {
    position: absolute;
    width: 100%;
    height: 100%;
    max-width: unset;
    object-fit: cover;
    opacity : 0;
    transition : opacity .6s;
    
  }
  .hero-img-switcher img.is-current {
    opacity: 1;
  }
}


.toppage-title {
  background-image: url("/system_panel/uploads/images/toppageh1.png");
  background-color: var(--light-text-color);
  height: 30vw;
  width: 100%;
  aspect-ratio: 904 / 456;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
  margin: auto;

  br {
    display: none;
  }
}

@media(min-width:576px) {
  .toppage-title {
    width: 280px;
    height: auto;
    background-size: cover;
    position: absolute;
    top: 32px;
    left: 0;
    right: 0;
    z-index: 99;
  }
}

@media(min-width:768px) {
  .toppage-title {
    width: calc(100% - 400px);
    max-width: 452px;
    inset: 0;
    transform: translateY(-33%);
  }
}

/* feature */
.section-feature {
  display: grid;
  grid-template-columns: 1fr;
  gap: 8px;
  font-size: 14px;

  >div {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 16px;
    gap: 16px;
    background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 33%, rgba(28, 25, 23, 0.60) 100%);
    color: #fff;
    position: relative;

    .feature-background-image {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      z-index: -1;
    }

    * {
      margin: 0;
    }
  }

  >div:nth-child(1) {
    justify-content: end;
    align-items: start;
    background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 33%, rgba(28, 25, 23, 0.60) 100%), linear-gradient(-90deg, rgba(28, 25, 23, 0.00) 60%, rgba(28, 25, 23, 0.60) 100%);

  }

  >div:nth-child(2) {
    background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 33%, rgba(28, 25, 23, 0.60) 100%), linear-gradient(90deg, rgba(28, 25, 23, 0.00) 60%, rgba(28, 25, 23, 0.60) 100%);

  }

  >div:nth-child(3) {
    align-items: start;
    background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 33%, rgba(28, 25, 23, 0.60) 100%), linear-gradient(-90deg, rgba(28, 25, 23, 0.00) 60%, rgba(28, 25, 23, 0.60) 100%);

  }
}

@media(min-width :576px) {
  .section-feature {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    max-width: 992px;
    margin-inline: auto;
    font-size: 16px;

    >div {
      padding: 32px;
    }

    >div:nth-child(1) {
      grid-column: 1;
      grid-row: 1/3;

    }

    >div:nth-child(2) {
      grid-column: 2;
      justify-content: end;
      background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 33%, rgba(28, 25, 23, 0.60) 100%);
    }

    >div:nth-child(3) {
      grid-column: 2;
      flex-direction: row-reverse;
      align-items: end;
      background: linear-gradient(180deg, rgba(28, 25, 23, 0.00) 33%, rgba(28, 25, 23, 0.60) 100%), linear-gradient(90deg, rgba(28, 25, 23, 0.00) 60%, rgba(28, 25, 23, 0.60) 100%);
    }
  }
}

.heading-group {
  * {
    margin: 0;
    font-size: 14px;
  }

  h2 {
    font-weight: 800;
    font-size: 24px;
  }

}

.heading-group-vertical {
  writing-mode: vertical-rl;
  letter-spacing: 10%;

  * {
    margin: 0;
    font-size: 14px;
  }

  h2 {
    font-weight: 800;
    font-size: 28px;
  }
}

.heading-group-vertical.md-row {}


@media(min-width : 576px) {
  .heading-group-vertical.md-row {
    writing-mode: horizontal-tb;

    h2 {
      font-size: 24px;
    }
  }
}

@media(min-width : 768px) {
  .heading-group {
    * {
      margin: 0;
      font-size: 20px;
    }

    h2 {
      font-weight: 800;
      font-size: 32px;
    }

  }

  .heading-group-vertical {
    * {
      font-size: 20px;
    }

    h2 {
      font-size: 40px;
    }
  }
}


.section-toppage-eately#hiratahonten {
  background-image: url("/system_panel/uploads/images/yakitori-back.png");
  background-size: cover;
  background-position: center center;

}


.gjs-dashed .toppage-title {
  display: none;
}
.gjs-dashed {
  .hero-area-wrapper {
    .hiratahonten,
    .satsukionsen {
      flex-direction: column;
    }
  }
  .hero-img-switcher {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 8px;
    margin-bottom: 32px;
  }
}